Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum Place

    java.lang.Object
      java.lang.Enum<Place>
          org.ka2ddo.yaac.osm.Place

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Place>, VisibleEnum

    public enum Place

extends java.lang.Enum<Place>
implements VisibleEnum

Supported types of the OSM place="*" attribute. See the definition of place on the OpenStreetMap wiki.

Enum Constant Summary
`archipelago`
`borough`
`city`
`continent`
`country`
`county`
`district`
`hamlet`
`island`
`islet`
`isolated_dwelling`
`locality`
`neighbourhood`
`province`
`region`
`state`
`suburb`
`town`
`township`
`user_defined`
`village`

Method Summary
`WayType` | `getAdminLevel()` Gets the numeric administrative level that is associated with this level of place.
`float` | `getMaxZoom()` Get the scale value below which labels for this kind of Place will be displayed.
`float` | `getMinZoom()` Get the scale value above which labels for this kind of Place will be displayed.
`boolean` | `isVisible()` Indicate whether OSM objects tagged with this enum are visible.
`void` | `loadZoom(java.util.prefs.Preferences node)` Load persisted configuration data for this Place enum
`static Place[]` | `nonClonedValues()`
`void` | `saveZoom(java.util.prefs.Preferences node)` Save persisted configuration data for this Place enum
`void` | `setMaxZoom(float maxZoom)` Set the scale value below which labels for this kind of Place will be displayed.
`void` | `setMinZoom(float minZoom)` Set the scale value above which labels for this kind of Place will be displayed.
`void` | `setVisible(boolean visible)` Set whether OSM objects tagged with this enum should be visible.
`static Place` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static Place` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Place[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ka2ddo.yaac.osm.VisibleEnum
`name, toString`

Enum Constant Detail

### user_defined

    public static final Place user_defined

### isolated_dwelling

    public static final Place isolated_dwelling

### neighbourhood

    public static final Place neighbourhood

### hamlet

    public static final Place hamlet

### village

    public static final Place village

### town

    public static final Place town

### suburb

    public static final Place suburb

### city

    public static final Place city

### continent

    public static final Place continent

### country

    public static final Place country

### county

    public static final Place county

### region

    public static final Place region

### state

    public static final Place state

### locality

    public static final Place locality

### district

    public static final Place district

### borough

    public static final Place borough

### island

    public static final Place island

### islet

    public static final Place islet

### archipelago

    public static final Place archipelago

### township

    public static final Place township

### province

    public static final Place province

Method Detail

### values

    public static Place[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Place c : Place.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Place valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### nonClonedValues

    public static Place[] nonClonedValues()

### isVisible

    public boolean isVisible()

  Indicate whether OSM objects tagged with this enum are visible.

  Specified by:
    `isVisible` in interface `VisibleEnum`
  Returns:
    boolean true if object should be visible

### setVisible

    public void setVisible(boolean visible)

  Set whether OSM objects tagged with this enum should be visible.

  Specified by:
    `setVisible` in interface `VisibleEnum`
  Parameters:
    `visible` - boolean true if tagged objects should be visible

### getMinZoom

    public float getMinZoom()

  Get the scale value above which labels for this kind of Place will be displayed.

  Returns:
    scale value

### setMinZoom

    public void setMinZoom(float minZoom)

  Set the scale value above which labels for this kind of Place will be displayed.

  Parameters:
    `minZoom` - scale value

### getMaxZoom

    public float getMaxZoom()

  Get the scale value below which labels for this kind of Place will be displayed.

  Returns:
    scale value

### setMaxZoom

    public void setMaxZoom(float maxZoom)

  Set the scale value below which labels for this kind of Place will be displayed.

  Parameters:
    `maxZoom` - scale value

### getAdminLevel

    public WayType getAdminLevel()

  Gets the numeric administrative level that is associated with this level of place.

  Returns:
    WayType associated with this hierarchy of Place

### value

    public static Place value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    Place for the string name, or null if no match

### loadZoom

    public void loadZoom(java.util.prefs.Preferences node)

  Load persisted configuration data for this Place enum

  Parameters:
    `node` - the Preferences node containing persisted Place data

### saveZoom

    public void saveZoom(java.util.prefs.Preferences node)

  Save persisted configuration data for this Place enum

  Parameters:
    `node` - the Preferences node containing persisted Place data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD